Source: kdevelop-python
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kdevelop-dev (>= 4:22.04.1~),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-ktexteditor-dev,
               kf6-syntax-highlighting-dev,
               kf6-threadweaver-dev,
               pkg-kde-tools-neon,
               python3-dev,
               qt6-base-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python.git

Package: kdevelop-python
Architecture: any
Depends: kdevelop-python-data (>= ${source:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdevelop, pycodestyle, python3-autopep8
Enhances: kdevelop
Breaks: kdevelop-python-data (<< 24.08.1), kdevelop-python-l10n (<< 24.08.1)
Replaces: kdevelop-python-data (<< 24.08.1), kdevelop-python-l10n (<< 24.08.1)
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-data
Architecture: all
Depends: kdevelop-python, ${misc:Depends}
Description: Description: Dummy transitional.
 This is a dummy transitional package and can be safely removed.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: kdevelop-python, ${misc:Depends}
Description: Description: Dummy transitional.
 This is a dummy transitional package and can be safely removed.
